#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ral
version:              0.2.1
visibility:           public
id:                   ral-0.2.1-5O9WWaxoYxO1hSNLf06wkt
key:                  ral-0.2.1-5O9WWaxoYxO1hSNLf06wkt
license:              GPL-2.0-or-later
copyright:            (c) 2019-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/vec
synopsis:             Random access lists
description:
    This package provides ordinary random access list, '\''RAList'\'', and also
    a length indexed variant, '\''RAVec'\''.

    The data structure allows fast cons-operation (like ordinary list) but also fast random access (like non-functional arrays).

    For @lens@ or @optics@ support see [ral-lens](https://hackage.haskell.org/package/ral-lens) and [ral-optics](https://hackage.haskell.org/package/ral-optics) packages respectively.

    === Similar packages

    These packages don'\''t provide length-indexed variants, and their '\''RAList'\'' has
    opaque structure.

    * https://hackage.haskell.org/package/ralist
    * https://hackage.haskell.org/package/random-access-list

category:             Data, Dependent Types, Singletons
abi:                  f626410260dab97bd01c579ceb1e3bc5
exposed:              True
exposed-modules:
    Data.RAList Data.RAList.NonEmpty Data.RAList.Tree Data.RAVec
    Data.RAVec.NonEmpty Data.RAVec.Tree Data.RAVec.Tree.DF

hidden-modules:
    Data.RAList.Internal Data.RAList.NonEmpty.Internal
    Data.RAList.Tree.Internal TrustworthyCompat

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ral-0.2.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ral-0.2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ral
hs-libraries:         HSral-0.2.1-5O9WWaxoYxO1hSNLf06wkt
depends:
    QuickCheck-2.14.3-4wvbFRujmHZDViSkarbjgg
    adjunctions-4.4.2-Gir1XcDP3UP82VBdYrrxxf base-4.16.4.0
    bin-0.1.3-ADvFZyJjIfN6GyLgjsVGAe
    boring-0.2.1-4ay7NZ1mR0V485tuSNtr0u deepseq-1.4.6.1
    distributive-0.6.2.1-Kh7MPJ0j8atLqxHSNjFn5C
    fin-0.3-JkXTevcAmhwLKv66UgmaNh
    hashable-1.4.4.0-8kbsn96Xs7VCwiHoChRZyp
    indexed-traversable-0.1.4-EMQRf2WgW6OAA4xubT3eAK
    semigroupoids-6.0.0.1-K0TkfyD8bVTJ1Ua5ja3vM9

haddock-interfaces:   /usr/share/doc/haskell-ral/html/ral.haddock
haddock-html:         /usr/share/doc/haskell-ral/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

